org.apache.cassandra.db

## Class AbstractClusteringPrefix

- java.lang.Object
- - org.apache.cassandra.db.AbstractClusteringPrefix

All Implemented Interfaces:
  IMeasurableMemory, Clusterable, ClusteringPrefix

Direct Known Subclasses:
  AbstractBufferClusteringPrefix, NativeClustering

    public abstract class AbstractClusteringPrefix
    extends java.lang.Object
    implements ClusteringPrefix

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.db.ClusteringPrefix

`ClusteringPrefix.Deserializer, ClusteringPrefix.Kind, ClusteringPrefix.Serializer`

### Field Summary

### Fields inherited from interface org.apache.cassandra.db.ClusteringPrefix

`serializer`

### Constructor Summary

Constructors
Constructor and Description
`AbstractClusteringPrefix()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ClusteringPrefix` `clustering()`
`int` `dataSize()` The size of the data hold by this prefix.
`void` `digest(java.security.MessageDigest digest)` Adds the data of this clustering prefix to the provided digest.
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.db.ClusteringPrefix

`get, getRawValues, kind, size, toString`

### Methods inherited from interface org.apache.cassandra.cache.IMeasurableMemory

`unsharedHeapSize`

### Constructor Detail

#### AbstractClusteringPrefix

    public AbstractClusteringPrefix()

### Method Detail

#### clustering

    public ClusteringPrefix clustering()

Specified by:
  `clustering` in interface `Clusterable`

#### dataSize

    public int dataSize()

Description copied from interface: `ClusteringPrefix`
The size of the data hold by this prefix.

Specified by:
  `dataSize` in interface `ClusteringPrefix`
Returns:
  the size of the data hold by this prefix (this is not the size of the object in memory, just the size of the data it stores).

#### digest

    public void digest(java.security.MessageDigest digest)

Description copied from interface: `ClusteringPrefix`
Adds the data of this clustering prefix to the provided digest.

Specified by:
  `digest` in interface `ClusteringPrefix`
Parameters:
  `digest` - the digest to which to add this prefix.

#### hashCode

    public final int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public final boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`